* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  --background: rgb(232, 252, 252);
  --primary: #00adad;
  --button: linear-gradient(0deg, rgb(1, 116, 116) 0%, rgb(95, 253, 253) 100%);
  --shadow: 0 0 3px var(--primary);
}

nav menu {
  list-style: none;
}

/* HEADER */

header {
  box-shadow: 0 0 3px var(--primary);
  color: var(--primary);
}

header form {
  width: fit-content;
  box-shadow: var(--shadow);
}

header form label {
  display: none;
}

header form input {
  padding: 0.2rem;
  outline: none;
  border: none;
}

header form button {
  border: none;
  background: var(--button);
  color: white;
  padding: 0.2rem;
  font-weight: bold;
}

header menu a {
  display: inline-block;
  font-size: 0;
  height: 1.5rem;
  width: 1.5rem;
  background-size: contain;
}

header menu a[href*="wishlist"] {
  background-image: url("icons/heart.png");
}

header menu a[href*="cart"] {
  background-image: url("icons/cart.png");
}
header menu a[href*="profile"] {
  background-image: url("icons/user.png");
}

/* NAV*/

body > nav menu a {
  color: var(--primary);
  text-decoration: none;
  display: block;
  width: 100%;
  height: 100%;
  padding: 0.5rem 1rem;
}

body > nav menu a:hover {
  background: var(--background);
}

/* MAIN */

main {
  background: var(--background);
  padding: 1rem;
}

article {
  background: white;
  box-shadow: var(--shadow);
  width: 10rem;
  height: 20rem;
  border-radius: 10px;
  overflow: hidden;
}

article img {
  width: 100%;
  height: 50%;
  object-fit: cover;
}

article *:not(img) {
  margin: 0.5rem 1rem;
}

article p.price {
  text-align: right;
}

/* Footer */

footer a {
  color: var(--primary);
}

@media (min-width: 600px) {
  /* HEADER */

  header {
    z-index: 1;
    padding: 0 2rem;
  }

  /* NAV */

  body > nav {
    padding-top: 1rem;
  }
}
